Bug 698122 - mcelog fails with Cannot mmap SMBIOS tables
mcelog fails with Cannot mmap SMBIOS tables
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: mcelog (Show other bugs)
5.5
All Linux
urgent Severity urgent
: rc
: ---
Assigned To: Prarit Bhargava
Evan McNabb
: OtherQA, Reopened, ZStream
Depends On: 642778
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-20 05:03 EDT by RHEL Product and Program Management
Modified: 2011-05-27 03:39 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
On some systems, mcelog was able to read beyond the last page of the SMBIOS tables. This caused a failure in the mmap() call, the "Cannot mmap SMBIOS tables" error message was issued and the user was unable to run mcelog further. Now, the range for the mmap() calls has been lowered and the bug no longer occurs.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-18 05:20:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description RHEL Product and Program Management 2011-04-20 05:03:54 EDT
This bug has been copied from bug #642778 and has been proposed
to be backported to 5.6 z-stream (EUS).
Comment 5 Tomas Capek 2011-05-06 11:38:00 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
On some systems, mcelog was able to read beyond the last page of the SMBIOS tables. This caused a failure in the mmap() call, the "Cannot mmap SMBIOS tables" error message was issued and the user was unable to run mcelog further. Now, the range for the mmap() calls has been lowered and the bug no longer occurs.
Comment 10 errata-xmlrpc 2011-05-18 05:20:22 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0512.html

Note You need to log in before you can comment on or make changes to this bug.